## m2crypto 0.20.1+dfsg1

=== debian/changelog ===
m2crypto (0.20.1+dfsg1-1.1ubuntu1) oneiric; urgency=low

  * repackage upstream
    - remove non-free demo/x509/proxylib.py
  * switch to dh_python2 (LP: #788514) 
  * switch to 3.0 (quilt)
    - converted all upstream changes to patches
    - fix_sslv2_test.patch: testsuite patch for sslv2 deactivation
    - fix_build_with_new_openssl.patch: build fix from debian 0.20.1-1.1
  * Merge from debian testing, remaining changes:
    - disable_sslv2_test.patch: disable sslv23_weak_crypto test as it is expected to
      fail with SSLv2 having been disabled in openssl 0.9.8o-1ubuntu3.
      (LP: #600549)
    - fix_sslv2_test2.patch: fix testsuite with newer openssl. (LP: #600549)
      - Backported from http://svn.osafoundation.org/viewvc/m2crypto/trunk/tests/test_smime.py?r1=698&r2=721
    - debian/control: Add openssl for FTBFS. 
    - debian/rules; enable testsuite, add more files to "clean" rule.
    - fix_kill_signal.patch: use signal 9 to kill old s_server processes
      to work around build HUP signal-ignore-mask (LP: #451998).

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 10 Aug 2011 17:01:24 +0200

m2crypto (0.20.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport revision 721 from upstream SVN repository to fix build errors
    with libssl-dev >= 1.0.0. (Closes: #622001)
  * Do not provide sslv2_method if SSLv2 is not available.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 24 Jun 2011 17:27:46 +0200

m2crypto (0.20.1-1ubuntu5) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:04:32 +0000

m2crypto (0.20.1-1ubuntu4) maverick; urgency=low

  * tests/test_ssl.py: disable sslv23_weak_crypto test as it is expected to
    fail with SSLv2 having been disabled in openssl 0.9.8o-1ubuntu3.
    (LP: #600549)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Oct 2010 11:58:15 -0400

m2crypto (0.20.1-1ubuntu3) maverick; urgency=low

  * tests/test_smime.py: fix testsuite with newer openssl. (LP: #600549)
    - Backported from http://svn.osafoundation.org/viewvc/m2crypto/trunk/tests/test_smime.py?r1=698&r2=721

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 09 Jul 2010 11:17:57 -0400

m2crypto (0.20.1-1ubuntu2) lucid; urgency=low

  * debian/control: Add openssl for FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Apr 2010 12:55:10 -0400

m2crypto (0.20.1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/rules; enable testsuite, add more files to "clean" rule.
    - tests/test_ssl.py: use signal 9 to kill old s_server processes
      to work around build HUP signal-ignore-mask (LP: #451998).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 01:28:39 +0000

m2crypto (0.20.1-1) unstable; urgency=low

  * New upstream release

 -- Dima Barsky <dima@debian.org>  Sat, 12 Sep 2009 12:50:09 +0100

m2crypto (0.19.1-2) unstable; urgency=low

  * Fixed the URL in the watch file (Closes: #450167)

 -- Dima Barsky <dima@debian.org>  Mon, 15 Jun 2009 22:11:39 +0100

m2crypto (0.19.1-1) unstable; urgency=low

  * New upstream release

 -- Dima Barsky <dima@debian.org>  Mon, 15 Jun 2009 21:54:41 +0100

m2crypto (0.19.1-0ubuntu7) karmic; urgency=low

  * debian/rules: enable testsuite, add more files to "clean" rule.
  * tests/test_ssl.py: use signal 9 to kill old s_server processes
    to work around buildd HUP signal-ignore-mask (LP: #451998).

 -- Kees Cook <kees@ubuntu.com>  Fri, 16 Oct 2009 12:51:15 -0700

m2crypto (0.19.1-0ubuntu6) karmic; urgency=low

  * debian/rules: Disable testsuite, it will timeout the builds. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2009 13:38:09 -0400

m2crypto (0.19.1-0ubuntu5) karmic; urgency=low

  * debian/rules: Enable testsuite but dont let it prevent it from  building 
    the debs, since the testsuites require a network connection.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2009 08:31:18 -0400

m2crypto (0.19.1-0ubuntu4) karmic; urgency=low

  * debian/rules: Disable the testsuite again it does not run correctly
    on the builds. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Oct 2009 18:18:31 -0400

m2crypto (0.19.1-0ubuntu3) karmic; urgency=low

  * tests/test_ssl.py: Fix testsuite failure.
  * debian/rules: Enable testsuite

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Oct 2009 13:31:54 -0400

m2crypto (0.19.1-0ubuntu2) karmic; urgency=low

  * debian/rules: Enable testsuite but leave it disabled now until
    it acutally works properly.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Sep 2009 13:49:33 -0400

m2crypto (0.19.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Soren Hansen <soren@ubuntu.com>  Tue, 26 May 2009 11:07:11 +0200

m2crypto (0.18.2-2build1) jaunty; urgency=low

  * No-change upload for Python2.6 transition.

 -- Kees Cook <kees@ubuntu.com>  Tue, 10 Mar 2009 15:49:08 -0700

m2crypto (0.18.2-2) unstable; urgency=low

  * Added "import inspect" to M2Crypto/m2urllib2.py 
    (Closes: #493314, #484364, 477799) 

 -- Dima Barsky <dima@debian.org>  Fri, 15 Aug 2008 22:04:14 +0100

m2crypto (0.18.2-1) unstable; urgency=low

  * New upstream release (Closes: #440837)

 -- Dima Barsky <dima@debian.org>  Sat, 13 Oct 2007 02:21:26 +0100

m2crypto (0.17-2) unstable; urgency=low

  * Added "Build-Depends: python-setuptools" to avoid build inconsistencies.

 -- Dima Barsky <dima@debian.org>  Thu, 19 Jul 2007 09:51:13 +0100

m2crypto (0.17-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU (Closes: #380861)
  * Changed section to python (Closes: #425875)

 -- Dima Barsky <dima@debian.org>  Thu, 24 May 2007 21:14:36 +0100

m2crypto (0.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380861),
    this includes renaming from m2crypto to python-m2crypto.
  * Bumped compat to 5.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 12 Aug 2006 16:07:49 +0200


