=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-(.*).tar.gz
