## m2crypto 0.21.1

=== debian/changelog ===
m2crypto (0.21.1-3ubuntu5) trusty; urgency=medium

  * debian/patches/fix_testsuite_sha256.patch: Fix test_write_pkcs7_der to
    cope with SHA-256 defaults in OpenSSL.

 -- William Grant <wgrant@ubuntu.com>  Tue, 18 Feb 2014 10:58:57 +1100

m2crypto (0.21.1-3ubuntu4) trusty; urgency=medium

  * debian/patches/fix_testsuite_tls1.2.patch: Fix SSLv3 test to also disable
    TLS 1.2, as otherwise new OpenSSLs negotiate up to 1.2 instead.

 -- William Grant <wgrant@ubuntu.com>  Thu, 19 Dec 2013 02:11:48 +1100

m2crypto (0.21.1-3ubuntu3) saucy; urgency=low

  * Reupload with the new x509.der.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 23:40:04 +1100

m2crypto (0.21.1-3ubuntu2) saucy; urgency=low

  * debian/patches/fix_testsuite_ftbfs.patch: Replace expired test
    certificates with a new set valid until 2023.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 17:08:13 +1100

m2crypto (0.21.1-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Switch to 3.0 (quilt).
    - debian/control: Add Pre-Depends for xz compression.
    - Re-enable test suite:
      * debian/control: Re-enable test suite.
      * debian/patches/skip_sslv2_test.patch: Skip tests which cannot pass
        on Debian/Ubuntu due to SSLv2 being disabled.
      * debian/patches/fix_testsuite_ftbfs.patch: Regenerate all the
        expired test certificates, modify test scripts with new certificate
        hashes, fingerprints, and lengths. Fix test_sslv23_no_v2() by
        disabling tls v1.1, and disable test_use_weak_cipher() as weak
        cipher doesn't work with recent openssl changes.
      * debian/source/include-binaries: include binary certificate file
        tests/x509.der in debian tarball, since it unfortunately can't go
        in the above patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Jan 2013 09:36:18 -0500

m2crypto (0.21.1-3) unstable; urgency=low

  b435179 Look for OpenSSL headers in multiarch path.
          Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #696327)

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Jan 2013 18:01:43 +0900

m2crypto (0.21.1-2ubuntu3) quantal-proposed; urgency=low

  * Fix FTBFS in test suite:
    - debian/patches/fix_testsuite_ftbfs.patch: Regenerate all the expired
      test certificates, modify test scripts with new certificate hashes,
      fingerprints, and lengths. Fix test_sslv23_no_v2() by disabling
      tls v1.1, and disable test_use_weak_cipher() as weak cipher doesn't
      work with recent openssl changes.
    - debian/source/include-binaries: include binary certificate file
      tests/x509.der in debian tarball, since it unfortunately can't go in
      the above patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Sep 2012 14:39:17 -0400

m2crypto (0.21.1-2ubuntu2) precise; urgency=low

  * Add Pre-Depends for xz compression.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2011 15:43:58 -0400

m2crypto (0.21.1-2ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining Ubuntu changes:
    - debian/control: Re-enable test suite.
    - Switch to 3.0 (quilt).
    - d/p/skip_sslv2_test.patch: Skip tests which cannot pass on
      Debian/Ubuntu due to SSLv2 being disabled.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2011 14:23:44 -0400

m2crypto (0.21.1-2) unstable; urgency=low

  [939cdded] Disable SSLv2_method when disabled in OpenSSL iself
             (Closes: #637904).
  [10433e12] Documented applied patches in debian/patches.
  [69b60a5d] Added debian/gbp.conf to show that the package is managed
             with git-buildpackage.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Aug 2011 08:41:24 +0900

m2crypto (0.21.1-1) unstable; urgency=low

  * New upstream releases supporting OpenSSL 1.0 (see #622001).
    Closes: #634015.
  * [0d774d2b] Transition to dh_python2.
  * [b6719dce] Switched to Debhelper 8.
  * [966a9d1b] Register the documentation with doc-base.
  * [ff50d3c0] Switch to CDBS.
  * [3592aa95] Complies with Policy 3.9.2 (no changes needed).
  * [955a5309] Use debhelper's ${misc:Depends}.
  * [8eef3145] Package in collab-maint on Alioth. Added myself as Uploader.
  * [66745855] Removed Pre-Etch Replaces and Conflicts statements.
  * [f5a50460] Documented upstream project's homepage.
  * [0cc12cb3] Compress binary package with xz.
  * [bc6599b4] Updated the list of files to remove at clean time.

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Aug 2011 14:23:11 +0900
