=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Barsky <dima@debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 8), python-all-dev (>= 2.6.6-3~), libssl-dev (>= 0.9.7), swig (>= 1.3.24), python-setuptools (>=0.6c5-3)
Standards-Version: 3.9.2
VCS-Browser: http://git.debian.org/?p=collab-maint/m2crypto.git
VCS-Git: git://git.debian.org/collab-maint/m2crypto.git
Homepage: http://chandlerproject.org/Projects/MeTooCrypto

Package: python-m2crypto
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}, m2crypto 
Description: a crypto and SSL toolkit for Python
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
