=== debian/watch ===
version=3
http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-(.*).tar.gz
