## m2crypto 0.22.6~rc4

=== debian/changelog ===
m2crypto (0.22.6~rc4-1ubuntu1) xenial; urgency=medium

  * debian/control, debian/rules: Disable pandoc. It's in universe.

 -- William Grant <wgrant@ubuntu.com>  Sat, 12 Dec 2015 14:31:33 +1100

m2crypto (0.22.6~rc4-1) unstable; urgency=medium

  * New upstream release (Closes: #744137).
  * deb/changelog:
    + Removed trailing whitespaces.
  * deb/control:
    + Change of maintainer (Closes: #726262).
    + Removed cbds from build-deps, added dh-python.
    + Bumped debhelper level to 9 (also in deb/compat).
    + Added python-unittest2 and pandoc to build-deps.
    + Updated and removed unnecessary versions among build-deps.
    + Added X-Python-Version.
    + Dropped Vcs-Git and Browser (not collaboratively maintained).
    + Updated Homepage.
    + Specified short description line.
  * deb/copyright:
    + Rewritten for Dep-5, specified some Licenses.
  * deb/patches:
    + Restored Quilt patch regime (added patches/series, dropped sequence
      prefixes, restored proper DEP-3 headers).
    + Dropped 0002-Disable-SSLv2_method-when-disabled-in-OpenSSL-iself.patch
      (applied upstream ac01b383).
    + Added disable-sslv3.patch (Closes: #803946) [thanks to Kurt Roeckx].
  * deb/rules:
    + Added DH_VERBOSE and DEB_BUILD_OPTIONS lines.
    + Build with dh sequencer and Pybuild.
    + Added override for dh_installdocs.
    + Added override for dh_installexamples with hacks for Lintian complaints.
    + Dropped clean target (put needed cleans into deb/clean).
  * deb/watch:
    + Added uversionmangle.
  * Added:
    + deb/source/format (3.0 quilt).
    + deb/source/option (diff-ignore egg-info dir).
    + deb/clean (instead of clean target in deb/rules).
    + deb/python-m2crypto.examples (packaging demo/).
  * Dropped:
    + deb/gbp.conf (not needed anymore).
  * Moved:
    + deb/docs to deb/python-m2crypto.docs.
  * Wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Thu, 19 Nov 2015 10:38:29 +0100

m2crypto (0.21.1-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Remove Uploaders field.
  * Fix debian/watch by using pypi.debian.net.
  * Do not start synopsis with an article.

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Sep 2015 10:48:32 +0200
