=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 libssl-dev (>= 1.0.1e),
 python-all-dev,
 python-setuptools,
 python-unittest2,
 swig (>= 1.3.40)
Standards-Version: 3.9.6
Homepage: https://gitlab.com/m2crypto/m2crypto
X-Python-Version: >= 2.6

Package: python-m2crypto
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Provides:
 m2crypto,
 ${python:Provides}
Description: Python wrapper for the OpenSSL library
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
