## m2crypto 0.22.6~rc4+eole1

=== debian/changelog ===
m2crypto (0.22.6~rc4+eole1-1) eole-2.6-unstable; urgency=low

  * [15a7720] Patch to fix heartbleed checker and build
  * [3806d4a] Fix Maintainer

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 26 Apr 2016 16:16:37 +0200
