=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Équipe EOLE <eole@ac-dijon.fr>
+XSBC-Ubuntu-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
 Build-Depends:
  debhelper (>= 9),
@@ -12,7 +13,8 @@
  python-unittest2,
  swig (>= 1.3.40)
 Standards-Version: 3.9.6
-Homepage: https://gitlab.com/m2crypto/m2crypto
+Homepage: http://dev-eole.ac-dijon.fr/projects/m2crypto
+XSBC-Original-Homepage: https://gitlab.com/m2crypto/m2crypto
 X-Python-Version: >= 2.6
 
 Package: python-m2crypto
