## m2crypto 0.24.0

=== debian/changelog ===
m2crypto (0.24.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Willi Mann <willi@debian.org>  Tue, 16 Aug 2016 20:08:36 +0200

m2crypto (0.24.0-1) unstable; urgency=medium

  * New upstream release (Closes: #818986):
    + dropped applied and obsolete patches.
    + examples (demo/) not shipped anymore:
      * removed deb/python-m2crypto.exmaples.
      * dropped override for dh_installexamples in deb/rules.
      * removed all demo/ targets from deb/copyright.
  * deb/control:
    + updated maintainer email address.
    + sorted build-deps logically (from alphabetical).
    + bumped standards to 3.9.7 (no changes needed).
    + added Vcs-Git and Vcs-Browser.
  * deb/copyright: updated.
  * deb/rules: added DEB_BUILD_MAINT_OPTIONS with BINDNOW hardening.
  * Set up build-time tests:
    + added override for dh_auto_test in deb/rules for py.test.
    + added build-deps against python-pytest and openssl in deb/control,
      dropped python-unittest2 from build-deps.
  * Prevent the use of Pandoc (requested for downstream development):
    + convert README.rst with rst2html and links in deb/rules.
    + build-dep against python-docutils and links, dropped Pandoc.
  * Initialized git-dpm (added deb/.git-dpm).

 -- Daniel Stender <stender@debian.org>  Tue, 29 Mar 2016 21:16:04 +0200
