=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-XSBC-Ubuntu-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  libssl-dev (>= 1.0.1e),
  python-all-dev,
  python-setuptools,
- python-unittest2,
- swig (>= 1.3.40)
-Standards-Version: 3.9.6
-Homepage: http://dev-eole.ac-dijon.fr/projects/m2crypto
-XSBC-Original-Homepage: https://gitlab.com/m2crypto/m2crypto
+ swig (>= 1.3.40),
+ python-pytest,
+ openssl,
+ python-docutils,
+ links
+Standards-Version: 3.9.7
+Homepage: https://gitlab.com/m2crypto/m2crypto
+Vcs-Git: https://github.com/danstender/m2crypto_debian.git
+Vcs-Browser: https://github.com/danstender/m2crypto_debian
 X-Python-Version: >= 2.6
 
 Package: python-m2crypto
