=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cp -a tests {build_dir}/M2Crypto/; {interpreter} -Wd -m pytest {build_dir}/M2Crypto/tests -v -rs; rm -rf {build_dir}/M2Crypto/tests" dh_auto_test || true
	# temporarily failsafed, some open issues

override_dh_installdocs:
	rst2html -r 5 README.rst .pybuild/README.html
	links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs .pybuild/README

override_dh_compress:
	dh_compress -X.py # save examples
