=== debian/changelog ===
m2crypto (0.27.0-6) unstable; urgency=medium

  * add DEP-8 testsuite.
  * deb/clean:
    + add in-place extensions to cleanings.
  * build docs package:
    + add package description in deb/control.
    + update Depends, Suggests and description of module binary.
    + rename deb/doc-base files, update paths within.
    + change dh_autoinstall override in deb/rules to build docs into that.
    + add -A to dh_installdocs to contribute README everywhere.

 -- Daniel Stender <stender@debian.org>  Sun, 06 May 2018 00:18:40 +0200

m2crypto (0.27.0-5) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + Set Vcs-* to salsa.debian.org [Ondřej Nový].
  * deb/copyright:
    + expand copyright span to 2018.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Feb 2018 20:32:06 +0100

m2crypto (0.27.0-4) unstable; urgency=medium

  * deb/rules: temporarily disable test_HTTPSConnection_SNI_support on
    ppc-s (Closes: #881652).
  * add securely-mangle-changed-strings.patch.
  * deb/source/options: complete modified files for extend-diff-ignore.

 -- Daniel Stender <stender@debian.org>  Tue, 14 Nov 2017 22:51:30 +0100

m2crypto (0.27.0-3) unstable; urgency=medium

  * deb/rules:
    + unset $http{,s}_proxy (set by pybuild) for tests.
    + run elinks with fixed locale C.UTF-8 for reproducible buiding.
    + drop override for dh_compress (example scripts aren't shipped
      anymore).
  * drop skip-some-tests.patch, add sni-test-race.patch.

 -- Daniel Stender <stender@debian.org>  Mon, 13 Nov 2017 14:19:19 +0100

m2crypto (0.27.0-2) unstable; urgency=medium

  * Upload to unstable.
  * mv skip-test_urllib.patch skip-some-tests.patch, add another
    test, update.

 -- Daniel Stender <stender@debian.org>  Sun, 12 Nov 2017 20:21:25 +0100

m2crypto (0.27.0-1) experimental; urgency=medium

  * New upstream release:
    + update import-inspect-in-urllib-2.patch.
  * remove egg-info folder instead of ignoring it:
    + add M2Crypto.egg-info to debian/clean.
    + drop debian/source/options.
  * check tarball signature:
    + add debian/upstream with public key of <matej@ceplovi.cz>.
    + add pgpsigurlmangle to debian/watch.
  * handle SWIG/_m2crypto_wrap.c by diff-ignore in
    deb/source/options, drop it from deb/clean.
  * deb/clean:
    + add .cache/.
  * deb/control:
    + add python-typing to build-deps.
    + build against libssl-dev (Closes: #859225).
    + bump standards version to 4.1.1.
  * deb/copyright:
    + adjust some years according to LICENSE.
    + add Matěj Cepl to copyright holders.
  * deb/rules:
    + use PYBUILD_AFTER_BUILD to cp binding inplace for tests.
    + remove failsafe from tests.
    + shorten override for dh_auto_test, run tests from $(CURDIR).
  * tarball now ships with sphinx docs:
    + add override for dh_auto_install running sphinx-build in deb/rules.
    + drop deb/python-m2crypto.docs.
    + add python-sphinx to build-deps in deb/control.
    + add dh_sphinxdoc to dh extensions to run in deb/rules.
    + add ${sphinxdoc:Depends} for binary package in deb/control.
    + add prebuild doc/html to Files-Excluded in deb/copyright.
    + update existing doc-base files in deb/ for new folder.
    + add deb/python-m2crypto.doc-base.
  * add skip-test_urllib.patch.

 -- Daniel Stender <stender@debian.org>  Mon, 06 Nov 2017 21:10:45 +0100

m2crypto (0.24.0-2) unstable; urgency=medium

  * drop git-dpm regime (remove deb/.git-dpm, add deb/gbp.conf).
  * deb/control:
    + add DPMT as Uploaders.
    + update Vcs fields (package moves to python-modules).
  * deb/copyright:
    + use https in Format field.
    + expand copyright span of debian/*.
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Mon, 17 Jul 2017 20:09:18 +0200

m2crypto (0.24.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on openssl 1.0 for Stretch (Closes: #827068)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 05 Feb 2017 14:37:04 +0100
