=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 libssl-dev,
 python-all-dev,
 python-setuptools,
 swig (>= 1.3.40),
 python-pytest,
 python-typing,
 openssl,
 python-docutils,
 links,
 python-sphinx
Standards-Version: 4.1.3
Homepage: https://gitlab.com/m2crypto/m2crypto
Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto
X-Python-Version: >= 2.6

Package: python-m2crypto
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 m2crypto-doc
Provides:
 m2crypto,
 ${python:Provides}
Description: Python wrapper for the OpenSSL library (Python 2 modules)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the modules for the Python 2 interpreter.

Package: m2crypto-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Suggests:
 python-m2crypto
Breaks:
 python-m2crypto (<< 0.27.0-6)
Description: Python wrapper for the OpenSSL library (docs)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the documentation.
