## m2crypto 0.31.0

=== debian/changelog ===
m2crypto (0.31.0-9ubuntu1) focal; urgency=medium

  * Force enable tlsv1 for the tls1 tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2020 11:26:10 +0000

m2crypto (0.31.0-9build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:35:16 +0100

m2crypto (0.31.0-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936975

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Jan 2020 00:17:53 -0500

m2crypto (0.31.0-8) unstable; urgency=medium

  * Adopt package; Closes: #945182

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 22:31:01 -0500

m2crypto (0.31.0-7) unstable; urgency=medium

  * Orphaning package.
  * Bump Standards-Version to 4.4.1 [Ondřej Nový].

 -- Daniel Stender <stender@debian.org>  Wed, 20 Nov 2019 23:37:23 +0100

m2crypto (0.31.0-6) unstable; urgency=medium

  * Perform complete source-only upload (Closes: #934914).

 -- Daniel Stender <stender@debian.org>  Sun, 18 Aug 2019 18:29:59 +0200

m2crypto (0.31.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Add python3-m2crypto.
  * Run tests during build automatically with pybuild.
  * Build sphinx docs with Python 3.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * d/patches: Fix typo erorr -> error.

 -- Daniel Stender <stender@debian.org>  Sun, 11 Aug 2019 10:46:16 +0200

m2crypto (0.31.0-4) unstable; urgency=medium

  * Add a few patches from upstream to avoid a testsuite
    regression while testing for bug which was fixed in OpenSSL
    1.1.1c (Closes: #929903) [thanks to Sebastian Andrzej Siewior].

 -- Daniel Stender <stender@debian.org>  Sun, 09 Jun 2019 09:42:32 +0200

m2crypto (0.31.0-3) unstable; urgency=medium

  * add 0002-tests-test_ssl-use-ciphercuites-for-TLS1.3-cipher-in.patch
    (Closes: #923446, thanks to Sebastian Andrzej Siewior).

 -- Daniel Stender <stender@debian.org>  Mon, 11 Mar 2019 19:44:01 +0100

m2crypto (0.31.0-2) unstable; urgency=medium

  * deb/control:
    + expand use of !nodoc build profile switch among b-deps.
  * deb/rules:
    + use filter function for scanning options instead of findstring.
    + scan for nodoc build option in override for dh_installdocs.

 -- Daniel Stender <stender@debian.org>  Wed, 19 Dec 2018 08:02:55 +0100

m2crypto (0.31.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release (Closes: #907219).
  * deb/clean:
    + clean .pytest_cache instead of .cache.
  * deb/control:
    + bump standards version to 4.2.1 (no further changes needed).
  * deb/copyright:
    + add M2Crypto.egg-info to Files-Excluded.
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + build with hardening=+all.
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + un-failsafe tests.
  * install switches for build profiles:
    + d/control: add !nodoc and !nocheck switches to b-deps, Build-
      Profiles to docs package.
    + d/rules: add if-loop to not run sphinxdoc dh ext if nodoc profile
      is set.
  * build with dh 11 (changes in d/control and d/compat).

 -- Daniel Stender <stender@debian.org>  Sat, 10 Nov 2018 11:49:42 +0100

m2crypto (0.30.1+git20181013.1576f1e-1) experimental; urgency=medium

  * Latest repository snapshot:
    + drop securely-mangle-changed-strings.patch (applied upstream).
    + drop sni-test-race.patch (applied upstream).
  * deb/control:
    + remove ancient X-Python-Version field [Ondřej Nový].
  * deb/rules:
    + restore override for dh_auto_test run all tests on ppc64el etc.
    + temporarily failsafe tests.

 -- Daniel Stender <stender@debian.org>  Fri, 02 Nov 2018 11:46:34 +0100
