=== debian/control ===
--- 
+++ 
@@ -1,39 +1,38 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  libssl-dev,
- python-all-dev,
- python-setuptools,
+ python3-all-dev,
+ python3-setuptools,
  swig (>= 1.3.40),
- python-pytest,
- python-typing,
- openssl,
- python-docutils,
- links,
- python-sphinx
-Standards-Version: 4.1.3
+ python3-pytest <!nocheck>,
+ openssl <!nocheck>,
+ python3-docutils <!nodoc>,
+ links <!nodoc>,
+ python3-sphinx <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://gitlab.com/m2crypto/m2crypto
 Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto
-X-Python-Version: >= 2.6
 
-Package: python-m2crypto
+Package: python3-m2crypto
 Architecture: any
 Depends:
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
 Suggests:
  m2crypto-doc
 Provides:
  m2crypto,
- ${python:Provides}
-Description: Python wrapper for the OpenSSL library (Python 2 modules)
+ ${python3:Provides}
+Description: Python wrapper for the OpenSSL library (Python 3 modules)
  m2crypto features the following:
    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
@@ -44,16 +43,17 @@
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.
  .
- This package contains the modules for the Python 2 interpreter.
+ This package contains the modules for the Python 3.x interpreter.
 
 Package: m2crypto-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
 Suggests:
- python-m2crypto
+ python3-m2crypto
 Breaks:
  python-m2crypto (<< 0.27.0-6)
 Description: Python wrapper for the OpenSSL library (docs)
