=== debian/tests/control ===
Tests: python3-m2crypto
Depends: python3-m2crypto, python3-pytest, openssl
