## m2crypto 0.31.0.2

=== debian/changelog ===
m2crypto (0.31.0.2-4+deb10u2) unstable; urgency=medium

  * update

 -- Daniel Stender <stender@debian.org>  Fri, 02 Apr 2021 16:58:15 +0800

m2crypto (0.31.0.1-4+deb10u1) unstable; urgency=medium

  * Update debian/rules

 -- system-dev <system-dev@uniontech.com>  Sat, 20 Feb 2021 10:22:38 +0800

m2crypto (0.31.0-4+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * debian/patches/MR261.patch
    - fix compatibility with openssl/1.1.1i+; Closes: #954402

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 24 Jan 2021 12:01:15 +0100
